-- -- COPYRIGHT NOTICE -- --
-- This work is covered by the LGPL License. You are
-- able to modify, distribute and sublicense this
-- work as long as you include the original or show
-- clearly how to obtain it.

-- NOTES:
-- - Filename:   UtilFunctions.lua
-- - Written By: Trilesch and Digpoe
-- - Purpose:    Utility functions for use in CombatStatus

--- Returns a module after it has been imported
-- @function require
-- @param package The package to import
-- @return The imported value
function require(package)
	local ok = pcall(import, package)
	return ok and loadstring("return "..package)() -- ugly hack because I'm too lazy to iterate through the environment
end

-- Is the plugin logging messages?
local logging = true
--- Logs various things in a readable format.
-- @function LogMessage
-- @param toprint The value to write to the chat
function LogMessage(toprint, mode)
	if logging then
		local color = (mode and "#FF0000") or "#FFFFFF"
		Turbine.Shell.WriteLine(string.format("CombatStatus: <rgb=%s>%s</rgb>", color, tostring(toprint)))
	end
end